<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "distrito".
 *
 * @property string $codigo
 * @property string $descripcion
 * @property string|null $cod_zona
 * @property string|null $nom_zona
 */
class Distrito extends \yii\db\ActiveRecord
{


    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'distrito';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['cod_zona', 'nom_zona'], 'default', 'value' => null],
            [['codigo', 'descripcion'], 'required'],
            [['codigo'], 'string', 'max' => 5],
            [['descripcion'], 'string', 'max' => 100],
            [['cod_zona'], 'string', 'max' => 10],
            [['nom_zona'], 'string', 'max' => 30],
            [['codigo'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'codigo' => 'Codigo',
            'descripcion' => 'Descripcion',
            'cod_zona' => 'Cod Zona',
            'nom_zona' => 'Nom Zona',
        ];
    }

}
